> ## Documentation Index
> Fetch the complete documentation index at: https://docs.beyondwords.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get content search fields

> Returns the searchable fields available when filtering content in a project.



## OpenAPI

````yaml get /projects/{project_id}/content/search_fields
openapi: 3.0.1
info:
  title: BeyondWords REST API
  description: |-
    This is the documentation for the BeyondWords REST API.
              You can use this API to use BeyondWords programmatically.
              You can get your API Key and Project ID for each project in the Project settings tab in the BeyondWords
              <a href="https://dash.beyondwords.io/dashboard">dashboard</a>.
  version: 1.0.0
servers:
  - url: https://api.beyondwords.io/v1
security: []
paths:
  /projects/{project_id}/content/search_fields:
    parameters:
      - name: project_id
        in: path
        description: project_id
        required: true
        schema:
          type: string
    get:
      tags:
        - Content
      summary: Get content search fields
      description: >-
        Returns the searchable fields available when filtering content in a
        project.
      operationId: content#search_fields
      responses:
        '200':
          description: successful
          content:
            application/json:
              examples:
                example:
                  $ref: '#/components/examples/contentSearchFieldsExample'
              schema:
                $ref: '#/components/schemas/contentSearchFieldsModel'
      security:
        - apiKey: []
components:
  examples:
    contentSearchFieldsExample:
      summary: Sample content list request
      value:
        - key: title
          data_type: string
          conditions:
            - is_text
            - is_not_text
          options:
            - Example title name
  schemas:
    contentSearchFieldsModel:
      type: array
      items:
        $ref: '#/components/schemas/contentSearchFieldModel'
    contentSearchFieldModel:
      type: object
      properties:
        id:
          type: string
        key:
          type: string
          description: Search field key
        data_type:
          type: string
          description: Type of field
        conditions:
          type: array
          description: Conditions for search field
          nullable: false
          items:
            type: string
        options:
          type: array
          description: Possible options for search field
          nullable: false
          items:
            type: string
  securitySchemes:
    apiKey:
      type: apiKey
      name: X-Api-Key
      in: header

````